Package ru.bitel.bgbilling.modules.subscription.server.bean

# Class SubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Subscription>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Subscription>
ru.bitel.bgbilling.modules.subscription.server.bean.SubscriptionDao

public class SubscriptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<Subscription>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `userId`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDetail(CostSumTime costSumTime, int registrationPeriodId)`
  Добавление записи в таблицу детализации наработки
  `List<CostSumTime>`
  `getAmountDetail(int contractId, PeriodWithTime period)`
  `protected Subscription`
  `getFromRS(ResultSet rs)`
  `Boolean[][]`
  `getSubscriptionStatusValues(List<Integer> subscriptionIds, List<Integer> statusIds, boolean replaceDefaultToValue)`
  `List<Subscription>`
  `list(int contractId)`
  `protected void`
  `updateImpl(Subscription subscription)`
  `void`
  `updateRegistrationPeriodId(int subscriptionId, int registrationPeriodId)`
  `void`
  `updateSubscriptionJobId(int subscriptionId, long subscriptionJobId)`
  `void`
  `updateSubscriptionStatusValues(List<Integer> subscriptionIds, List<Integer> statusIds, Boolean[][] values)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userId

    protected final int userId

- ## Constructor Details

  - ### SubscriptionDao

    public SubscriptionDao(Connection con, int moduleId, int userId)
    Parameters:
      `con` -
      `moduleId` -
      `userId` -

- ## Method Details

  - ### getFromRS

    protected Subscription getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Subscription>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Subscription subscription) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Subscription>`
    Throws:
      `SQLException`

  - ### updateRegistrationPeriodId

    public void updateRegistrationPeriodId(int subscriptionId, int registrationPeriodId) throws SQLException
    Parameters:
      `subscriptionId` -
      `registrationPeriodId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateSubscriptionJobId

    public void updateSubscriptionJobId(int subscriptionId, long subscriptionJobId) throws SQLException
    Parameters:
      `subscriptionId` -
      `subscriptionJobId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<Subscription> list(int contractId) throws SQLException
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addDetail

    public void addDetail(CostSumTime costSumTime, int registrationPeriodId) throws SQLException
    Добавление записи в таблицу детализации наработки
    Parameters:
      `contractId` - код договора
      `serviceId` - код услуги
      `summ` - сумма наработки
    Throws:
      `SQLException`

  - ### getAmountDetail

    public List<CostSumTime> getAmountDetail(int contractId, PeriodWithTime period) throws SQLException
    Parameters:
      `contractId` -
      `period` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getSubscriptionStatusValues

    public Boolean[][] getSubscriptionStatusValues(List<Integer> subscriptionIds, List<Integer> statusIds, boolean replaceDefaultToValue) throws SQLException
    Throws:
      `SQLException`

  - ### updateSubscriptionStatusValues

    public void updateSubscriptionStatusValues(List<Integer> subscriptionIds, List<Integer> statusIds, Boolean[][] values) throws SQLException
    Throws:
      `SQLException`